Skip to content

Get File Page Figure

client.pipelines.images.getPageFigure(stringfigureName, ImageGetPageFigureParams { id, page_index, organization_id, project_id } params, RequestOptionsoptions?): ImageGetPageFigureResponse
GET/api/v1/files/{id}/page-figures/{page_index}/{figure_name}

Get a specific figure from a page of a file.

ParametersExpand Collapse
figureName: string
params: ImageGetPageFigureParams { id, page_index, organization_id, project_id }
id: string

Path param

formatuuid
page_index: number

Path param

organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid
ReturnsExpand Collapse
ImageGetPageFigureResponse = unknown

Get File Page Figure

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const response = await client.pipelines.images.getPageFigure('figure_name', {
  id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  page_index: 0,
});

console.log(response);
{}
Returns Examples
{}